Subject: Re: linux-next: build warning after merge of the irqchip tree

From: Marc Zyngier <[email-masked]>
Date: Thu, 08 Jul 2021 09:10:10 +0100

Hi Stephen,

On Thu, 08 Jul 2021 03:18:55 +0100,
Stephen Rothwell <[email-masked]> wrote:
> 
> Hi all,
> 
> On Tue, 15 Jun 2021 21:01:43 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the irqchip tree, today's linux-next build (htmldocs)
> > produced this warning:
> > 
> > kernel/irq/irqdesc.c:692: warning: Excess function parameter 'lookup' description in 'handle_domain_irq'
> > 
> > Introduced by commit
> > 
> >   e1c054918c6c ("genirq: Move non-irqdomain handle_domain_irq() handling into ARM's handle_IRQ()")
> 
> I am still getting this warning.

Hmmm... I've had a fix for this sitting in irqchip-fixes for some
time. But I now realise that this branch is not included in -next
while tip tracks it.

Any chance you could add [1] to -next in the future?

Thanks,

	M.

[1] git://git.kernel.org/pub/scm/linux/kernel/git/maz/arm-platforms.git irq/irqchip-fixes

-- 
Without deviation from the norm, progress is not possible.